#pragma once

BOOL StartSerialThread(HWND);
BOOL StopSerialThread();

#pragma pack(1)

struct PRIMARY_TIMING_PACKET
{
    UINT8   code;
    UINT8   subCode;
    UINT32  timeOfWeek;
    UINT16  weekNumber;
    INT16   utcOffset;
    UINT8   flags;
    UINT8   seconds;
    UINT8   minutes;
    UINT8   hours;
    UINT8   dayOfMonth;
    UINT8   month;
    UINT16  year;
};

struct SUPPLIMENTAL_TIMING_PACKET
{
    UINT8   code;
    UINT8   subCode;
    UINT8   receiverMode;
    UINT8   discipliningMode;
    UINT8   selfSurveyProgress;
    UINT32  holdoverDuration;
    UINT16  criticalAlarms;
    UINT16  minorAlarms;
    UINT8   gpsStatus;
    UINT8   discipliningActivity;
    UINT8   spare1;
    UINT8   spare2;
    float   ppsOffset;
    float   tenMhzOffset;
    UINT32  dacValue;
    float   dacVoltage;
    float   temperature;
    double  latitude;
    double  longitude;
    double  altitude;
    UINT8   spare[8];
};

#pragma pack()

/* Indicates Thunderbolt is sending time in UTC timescale */
#define FLAG_UTC 1


